SELECT F.* FROM (

SELECT [F].[Client_DB]
     , [F].[Hauptbetrieb_ID]
     , [F].[Hauptbetrieb_Name]
     , [F].[Standort_ID]
     , [F].[Standort_Name]
     , [F].[Beleg_Nr]
     , [F].[Rechnung_Gutschrift]
     , [F].[Benutzer_ID]
     , [F].[Fahrzeug_Nr]
     , [F].[Beleg_Kommentar]
     , [F].[Beleg_offen]
     , [F].[Kunde_offen_gesamt]
     , [F].[Beleg_Datum]
     , [F].[Verursacher_Text]
     , [F].[Kunde_Text]
     , [F].[Beleg_Text]
     , [F].[Bereich]
     , [F].[Beleg_Tage_offen]
     , CASE
           WHEN [F].[Beleg_Tage_offen] > 90 THEN 3
           WHEN [F].[Beleg_Tage_offen] > 60 THEN 2
           WHEN [F].[Beleg_Tage_offen] > 30 THEN 1
           ELSE 0
       END AS [Stufe]
     , replace([F].[Staffel_Text], 'Wochen', 'W.') AS [Staffel]
     , [F].[Mahnstufe]
     , [F].[Forderungsart]
     --, [F].[Abwarten]
     , [F].[Verursacher_Benutzer_ID]
     , F.[Besitzer_Kunde_Text]
     , F.[Beleg_Betrag]
     , F.[Kunde_gesamt_Bezug]

     , left(isnull([FK].[Kommentar_Fibu], ''), 50) AS [Kommentar_Fibu]
     , left(isnull([FK].[Kommentar_Abteilung], ''), 50) AS [Kommentar_Abteilung]
     , [K].[Kunde_Email] AS [Kunde_Email]
     , coalesce([FD].[Wiedervorlage], dateadd(DAY, 14, [F].[Beleg_Datum])) AS [Wiedervorlage]
     , CASE
           WHEN [FD].[Reklamation] = 'J' THEN 'Rekl.'
           WHEN [FD].[Versicherung] = 'J' THEN 'Vers.'
           WHEN [FD].[Rechtsanwalt] = 'J' THEN 'RA'
           WHEN [FD].[Mahnen_aussetzen] = 'J' THEN 'N'
           ELSE ''
       END AS [Abwarten]
     , isnull([FK].[Begründung], '') AS [Begründung]
     , isnull([FD].[Bearbeitet], 'N') AS [Bearbeitet]
     , dateadd(DAY, 14, [F].[Beleg_Datum]) AS [Fällig_Datum]

FROM [dbo].[Forderungen_Kopf] [F]
         LEFT JOIN [dbo].[Kunden] [K] ON [F].[Kunde_Nr] = [K].[Kunde_Nr] AND [F].[Client_DB] = [K].[Client_DB]
         LEFT JOIN [dbo].[Forderungen_Details] [FD] ON [F].[Client_DB] = [FD].[Client_DB] AND [F].[Beleg_Nr] = [FD].[Beleg_Nr]
         LEFT JOIN [dbo].[Forderungen_Kommentar_letzte] [FK] ON [F].[Client_DB] = [FK].[Client_DB] AND [F].[Beleg_Nr] = [FK].[Beleg_Nr]

) AS F
INNER JOIN [dbo].[Benutzer_Rechte] [BR] ON ([BR].[Benutzer_ID] = {{ BenutzerSelect.selectedOptionValue }} OR BR.Benutzer_ID = '')
AND [F].[Hauptbetrieb_ID] = [BR].[Hauptbetrieb_ID] 
AND [F].[Standort_ID] = [BR].[Standort_ID] 
AND ([BR].[Rolle] = 'Buchhaltung' OR [BR].[Benutzer_ID] = [F].[Verursacher_Benutzer_ID])

WHERE 1 = 1
ORDER BY F.[Wiedervorlage] ASC, F.[Beleg_Tage_offen] DESC